package com.fjhx.email.service.impl;

import com.fjhx.email.entity.dto.MailSyncInfo;
import com.fjhx.email.entity.dto.MailboxInfo;
import com.fjhx.email.mapper.MailMapper;
import com.fjhx.email.service.IMailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MailServiceImpl implements IMailService {

    @Autowired
    private MailMapper mailMapper;

    @Override
    public List<MailboxInfo> getMailboxInfoListByUserId(List<Long> userIdList) {
        return mailMapper.getMailboxInfoListByUserId(userIdList, MailSyncInfo.mailType);
    }

}
